summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorOle Markus With <olemarkus@gentoo.org>2013-04-14 06:54:43 +0000
committerOle Markus With <olemarkus@gentoo.org>2013-04-14 06:54:43 +0000
commit536562efe65f0c431668e3d73d3b0988d226f81c (patch)
tree3c83ceee3337ab36881f986b0373ae895478bc78 /eclass
parentLicense for games-arcade/xrick. (diff)
downloadhistorical-536562efe65f0c431668e3d73d3b0988d226f81c.tar.gz
historical-536562efe65f0c431668e3d73d3b0988d226f81c.tar.bz2
historical-536562efe65f0c431668e3d73d3b0988d226f81c.zip
Remove support for EAPI 2 and 3 for php-ext-source-r2. Use REQUIRED_USE for target depends
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog6
-rw-r--r--eclass/php-ext-source-r2.eclass11
2 files changed, 11 insertions, 6 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index e1c19e586601..4d6b939380a0 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,10 @@
# ChangeLog for eclass directory
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.789 2013/04/14 00:10:00 floppym Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.790 2013/04/14 06:54:43 olemarkus Exp $
+
+ 14 Apr 2013; Ole Markus With <olemarkus@gentoo.org> php-ext-source-r2.eclass:
+ Remove support for EAPI 2 and 3 for php-ext-source-r2. Use REQUIRED_USE for
+ target depends
14 Apr 2013; Mike Gilbert <floppym@gentoo.org> python-utils-r1.eclass:
Remove carriage-return from shebang before validating it, bug 465790 by
diff --git a/eclass/php-ext-source-r2.eclass b/eclass/php-ext-source-r2.eclass
index 08620303f7c4..8d723b5a6730 100644
--- a/eclass/php-ext-source-r2.eclass
+++ b/eclass/php-ext-source-r2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-ext-source-r2.eclass,v 1.31 2013/04/08 08:11:29 olemarkus Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-ext-source-r2.eclass,v 1.32 2013/04/14 06:54:43 olemarkus Exp $
# @ECLASS: php-ext-source-r2.eclass
# @MAINTAINER:
@@ -26,7 +26,7 @@ RDEPEND=""
# Because of USE deps, we require at least EAPI 2
case ${EAPI} in
- 2|3|4|5) ;;
+ 4|5) ;;
*)
die "php-ext-source-r2 is not compatible with EAPI=${EAPI}"
esac
@@ -68,20 +68,21 @@ esac
# Defaults to ${S}
[[ -z "${PHP_EXT_S}" ]] && PHP_EXT_S="${S}"
-#Make sure at least one target is installed. Abuses USE dependencies.
+#Make sure at least one target is installed.
+REQUIRED_USE="|| ( "
for target in ${USE_PHP}; do
IUSE="${IUSE} php_targets_${target}"
target=${target/+}
- SELFDEPEND="${SELFDEPEND} =${CATEGORY}/${PF}[php_targets_${target}]"
+ REQUIRED_USE+="php_targets_${target} "
slot=${target/php}
slot=${slot/-/.}
PHPDEPEND="${PHPDEPEND}
php_targets_${target}? ( dev-lang/php:${slot} )"
done
+REQUIRED_USE+=")"
RDEPEND="${RDEPEND}
${PHP_EXT_OPTIONAL_USE}${PHP_EXT_OPTIONAL_USE:+? ( }
- || ( ${SELFDEPEND} )
${PHPDEPEND}
${PHP_EXT_OPTIONAL_USE:+ )}"